Skip to main content
`Ctrl`+`K`

# Build MIOpen using Docker

You can build MIOpen using Docker by either downloading a prebuilt image or creating your own.

Note

For ease of use, the prebuilt Docker image is recommended.

- Downloading a prebuilt image

  You can find prebuilt Docker images at ROCm Docker Hub.

- Building your own image

  1. To build the Docker image, use `docker build`:

         docker build -t miopen-image .

  2. To enter the development environment, use `docker run`, for example:

         docker run -it -v $HOME:/data --privileged --rm --device=/dev/kfd --device /dev/dri:/dev/dri:rw
         --volume /dev/dri:/dev/dri:rw -v /var/lib/docker/:/var/lib/docker --group-add video
         --cap-add=SYS_PTRACE --security-opt seccomp=unconfined miopen-image

  3. Enter the Docker environment and run `git clone MIOpen`. You can now build MIOpen using CMake. For instructions on how to build MIOpen from source, see building MIOpen.